Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77399 - spaces in project names
Summary: spaces in project names
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Developer Suite
Classification: Retired
Component: eclipse
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact: eclipse-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-06 14:31 UTC by Need Real Name
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-14 23:11:08 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-06 14:31:37 UTC
Description of Problem:
When creating a C/C++ project, spaces are not accepted as valid characters in
the project name. But a simple project can be created with spaces in its name
then converted to a C/C++ project using the respective wizard. If this can work,
there must be some way to get standard make C/C++ projects to also accept spaces
in project names.

Version-Release number of selected component (if applicable):


How Reproducible:
always

Steps to Reproduce:
1.create a standard make C project. Will not accept spaces in the project name
2. create a simple project called "Simple project"
3. create a C project and choose the Simple to C wizard. Pick "Simple Project"
as the candidate for conversion. It is successfully converted to a C project.
Put files in the converted project...building, running, debugging...all work fine. 

Actual Results:


Expected Results:


Additional Information:

Comment 1 Tom Tromey 2002-11-06 15:24:54 UTC
I've asked the CDT developers about this restriction.
It is easy to remove, but I don't want to do so until
I understand why it exists.


Comment 2 Tom Tromey 2002-11-14 23:11:01 UTC
I believe this is fixed in the current build


Comment 3 Need Real Name 2002-11-15 15:21:15 UTC
Fixed. Verified against the November 15th build. All project names can have
spaces  in them except at the beginning and end of the name.

Comment 4 David Lawrence 2003-12-11 19:23:26 UTC
Changing product to RHEL.


Note You need to log in before you can comment on or make changes to this bug.